shibsp::SOAPClient Class Reference

Specialized SOAPClient for SP environment. More...

`#include <shibsp/binding/SOAPClient.h>`

Inheritance diagram for shibsp::SOAPClient:
[legend]
Collaboration diagram for shibsp::SOAPClient:
[legend]

## Public Member Functions

| SOAPClient (SecurityPolicy &policy)
| Creates a SOAP client instance for an Application to use.
void | send (const soap11::Envelope &env, const char *from, opensaml::saml2md::MetadataCredentialCriteria &to, const char *endpoint)
| Override handles message signing for SAML payloads.
void | reset ()

## Protected Member Functions

void | prepareTransport (xmltooling::SOAPTransport &transport)
| Override prepares transport by applying policy settings from Application.

## Protected Attributes

const Application & | m_app
| Application supplied to client.
const PropertySet * | m_relyingParty
| RelyingParty properties, set after transport prep.
xmltooling::CredentialResolver * | m_credResolver
| Locked CredentialResolver for transport, set after transport prep.

## Detailed Description

Specialized SOAPClient for SP environment.

## Constructor & Destructor Documentation

## SOAPClient()

shibsp::SOAPClient::SOAPClient | ( | SecurityPolicy & | policy | ) |

Creates a SOAP client instance for an Application to use.

Parameters

  policy | reference to SP-SecurityPolicy to apply

## Member Function Documentation

## prepareTransport()

void shibsp::SOAPClient::prepareTransport | ( | xmltooling::SOAPTransport & | transport | ) |

protected

Override prepares transport by applying policy settings from Application.

Parameters

  transport | reference to transport layer

## send()

void shibsp::SOAPClient::send | ( | const soap11::Envelope & | env,
|  | const char * | from,
|  | opensaml::saml2md::MetadataCredentialCriteria & | to,
|  | const char * | endpoint )

Override handles message signing for SAML payloads.

Parameters

  env | SOAP envelope to send
  from | identity of sending application
  to | peer to send message to, expressed in metadata terms
  endpoint | URL of endpoint to recieve message

The documentation for this class was generated from the following file:

- shibsp/binding/SOAPClient.h